Berkeley DB Java Edition version 3.2.13

## com.sleepycat.je
Class DeadlockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.je.DatabaseException
                  com.sleepycat.je.DeadlockException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  LockNotGrantedException

    public class DeadlockException

extends DatabaseException

DeadlockException is thrown to a thread of control when multiple threads competing for a lock are deadlocked or when a lock request would need to block and the transaction has been configured to not wait for locks.

See Also:
  Serialized Form

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Berkeley DB Java Edition version 3.2.13

Copyright 1996,2006 Oracle. All rights reserved.